QT += core dbus

TARGET = deepin-license-agent
TEMPLATE = app
CONFIG += c++11 link_pkgconfig
PKGCONFIG += openssl dtkcore
DEFINES += QT_MESSAGELOGCONTEXT

include($$PWD/../license-issuer/license-issuer.pri)

SOURCES += \
    $$PWD/main.cpp \
    $$PWD/licenseinfo.cpp \
    $$PWD/licenseagent.cpp \
    $$PWD/licensekernel.cpp \
    $$PWD/systeminfo.cpp

HEADERS += \
    $$PWD/licenseinfo.h \
    $$PWD/licensedbus.h \
    $$PWD/licenseagent.h \
    $$PWD/licensekernel.h \
    $$PWD/systeminfo.h

RESOURCES += \
    $$PWD/data/data.qrc

unix {
isEmpty(PREFIX) {
    PREFIX = /usr
}
}

binary.path = $${PREFIX}/lib/deepin-daemon/
binary.files = $${OUT_PWD}/deepin-license-agent
dbus.path = /etc/dbus-1/system.d/
dbus.files = $$PWD/conf/com.deepin.license.conf
service.path = $${PREFIX}/share/dbus-1/system-services/
service.files = $$PWD/conf/com.deepin.license.service

INSTALLS += binary dbus service

DISTFILES += \
    $$PWD/conf/com.deepin.license.conf \
    $$PWD/conf/com.deepin.license.service

