/*
 * Copyright (C) 2017 ~ 2017 Deepin Technology Co., Ltd.
 *
 * Author:     Iceyer <me@iceyer.net>
 *
 * Maintainer: Iceyer <me@iceyer.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _DEEPIN_LICENSE_LICENSE_KEY_H_
#define _DEEPIN_LICENSE_LICENSE_KEY_H_

#ifdef __cplusplus
extern "C" {
#endif

int generate_activation_key(
    const char *copyright,
    const char *edition,
    const char *version,
    char *key);

bool verify_licese_serialkey(const char *key, const char *product);

#ifdef __cplusplus
}
#endif

#endif //_DEEPIN_LICENSE_LICENSE_KEY_H_
