/*
 * Copyright (C) 2017 ~ 2017 Deepin Technology Co., Ltd.
 *
 * Author:     Iceyer <me@iceyer.net>
 *
 * Maintainer: Iceyer <me@iceyer.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LICENSEDBUS_H
#define LICENSEDBUS_H

#define SERVICE_NAME                "com.deepin.license"

#define AGENT_SERVICE_PATH         "/com/deepin/license/Agent"
#define AGENT_INTERFACE_NAME       "com.deepin.license.Agent"

#define INFO_SERVICE_PATH          "/com/deepin/license/Info"
#define INFO_INTERFACE_NAME         "com.deepin.license.Info"

enum ActiveState {
    Unauthorized    = 0x0000,
    Authorized      = 0xF0FF,
};

#endif // LICENSEDBUS_H
