/*
 * Copyright (C) 2017 ~ 2017 Deepin Technology Co., Ltd.
 *
 * Author:     Iceyer <me@iceyer.net>
 *
 * Maintainer: Iceyer <me@iceyer.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include "license_file.h"
#include "rsa_crypt.h"

extern void print_it(const char* label, const byte* buff, size_t len);

int parser_license(void)
{
    struct license_file* lf  = NULL;
    FILE * lfp = fopen("./a.dat", "r");
    lf  = (struct license_file *)malloc(LICENSE_FILE_SIZE);
    fread(lf, LICENSE_FILE_SIZE+1,1, lfp);
    fclose(lfp);

    print_it("RSA:", lf->signature.rsa, 4096);

}
